.TH "orte_iof_svc_pub_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte_iof_svc_pub_t \- Endpoints that are sinks of data are published by the processes that is acting as a proxy for the destination application.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <iof_svc_pub.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_list_item_t\fP \fBsuper\fP"
.br
.ti -1c
.RI "orte_process_name_t \fBpub_name\fP"
.br
.ti -1c
.RI "orte_process_name_t \fBpub_proxy\fP"
.br
.ti -1c
.RI "\fBorte_ns_cmp_bitmask_t\fP \fBpub_mask\fP"
.br
.ti -1c
.RI "orte_iof_base_tag_t \fBpub_tag\fP"
.br
.ti -1c
.RI "\fBorte_iof_base_endpoint_t\fP * \fBpub_endpoint\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Endpoints that are sinks of data are published by the processes that is acting as a proxy for the destination application. 

The published endpoints are matched against subscriptions to determine the sources of data that are forwarded to the endpoint. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
